Bug 1015246 - domain disappears after libvirtd crash + restart, but reappears after one more restart
domain disappears after libvirtd crash + restart, but reappears after one mor...
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
: 979533 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2013-10-03 13:51 EDT by Cole Robinson
Modified: 2013-11-11 19:35 EST (History)
10 users (show)

See Also:
Fixed In Version: libvirt-
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-11 19:35:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Cole Robinson 2013-10-03 13:51:52 EDT
Bit of a weird one here. I have a guest that, when started, crashes libvirtd. This is bug #1014088 , simple to reproduce, just try to start a guest with nographics and no video device attached. Here's a demo:

[crobinso@colepc ~]$ sudo virsh list --all | grep anyconfig-f18
 -     ztester-anyconfig-f18          shut off
[crobinso@colepc ~]$ sudo virsh start ztester-anyconfig-f18
error: Failed to start domain ztester-anyconfig-f18
error: End of file while reading data: Input/output error
error: One or more references were leaked after disconnect from the hypervisor
error: Failed to reconnect to the hypervisor

[crobinso@colepc ~]$ sudo virsh list --all | grep anyconfig-f18
[crobinso@colepc ~]$ sudo service libvirtd restart
Restarting libvirtd (via systemctl):                       [  OK  ]
[crobinso@colepc ~]$ sudo virsh list --all | grep anyconfig-f18
 -     ztester-anyconfig-f18          shut off

I start the VM, libvirtd crashes, systemd restarts it, but now the culprit vm is gone from virsh list. Restart libvirtd one more time and it reappears.
Comment 1 Cole Robinson 2013-10-03 14:40:43 EDT
*** Bug 979533 has been marked as a duplicate of this bug. ***
Comment 3 Fedora Update System 2013-11-06 13:38:06 EST
libvirt- has been submitted as an update for Fedora 20.
Comment 4 Fedora Update System 2013-11-07 14:08:31 EST
Package libvirt-
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-11-11 19:35:18 EST
libvirt- has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.